Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Interface SortedBag

All Superinterfaces:
  Bag, java.util.Collection, java.lang.Iterable

All Known Implementing Classes:
  AbstractSortedBagDecorator, PredicatedSortedBag, SynchronizedSortedBag, TransformedSortedBag, TreeBag, TreeBag, UnmodifiableSortedBag

    public interface SortedBag

extends Bag

Defines a type of `Bag` that maintains a sorted order among its unique representative members.

Since:
  Commons Collections 2.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Chuck Burdick

Method Summary
`java.util.Comparator` | `comparator()` Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
`java.lang.Object` | `first()` Returns the first (lowest) member.
`java.lang.Object` | `last()` Returns the last (highest) member.

Methods inherited from interface org.apache.commons.collections.Bag
`add, add, containsAll, getCount, iterator, remove, remove, removeAll, retainAll, size, uniqueSet`

Methods inherited from interface java.util.Collection
`addAll, clear, contains, equals, hashCode, isEmpty, toArray, toArray`

Method Detail

### comparator

    java.util.Comparator comparator()

  Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.

  Returns:
    the comparator in use, or null if natural ordering

### first

    java.lang.Object first()

  Returns the first (lowest) member.

  Returns:
    the first element in the sorted bag

### last

    java.lang.Object last()

  Returns the last (highest) member.

  Returns:
    the last element in the sorted bag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.